org.gradle.api.plugins.jetty

## Class ScanTargetPattern

- java.lang.Object
- - org.gradle.api.plugins.jetty.ScanTargetPattern

-     public class ScanTargetPattern
      extends Object

  Patterns for scanning for file changes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScanTargetPattern()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDirectory()`
    `List<String>` | `getExcludes()`
    `List<String>` | `getIncludes()`
    `void` | `setDirectory(File directory)`
    `void` | `setExcludes(List<String> excludes)`
    `void` | `setIncludes(List<String> includes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScanTargetPattern

          public ScanTargetPattern()

  - ### Method Detail

    - #### getDirectory

          public File getDirectory()

    - #### setDirectory

          public void setDirectory(File directory)

    - #### setIncludes

          public void setIncludes(List<String> includes)

    - #### setExcludes

          public void setExcludes(List<String> excludes)

    - #### getIncludes

          public List<String> getIncludes()

    - #### getExcludes

          public List<String> getExcludes()